> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/reusable-content/guide/guide-basics-tools-toolstyle1.md).

# guide/basics/tools/toolStyle1

***

### Programmatically

When creating a new annotation, the initial properties (such as line thickness, fill color, opacity, etc.) are set to the last value that the user selected for an annotation of that type. For example, if the user changes an ellipse annotation's stroke color from green to red, the next ellipse annotation that the user creates would have a stroke color of red. These default properties are saved in the app's [SharedPreferences](https://developer.android.com/reference/android/content/SharedPreferences).

These default properties can be changed programmatically and will take effect the next time when the annotation is created.

For example, to change style properties of a rectangle:

{% tabs %}
{% tab title="C#" %}

```csharp
var tool = (RectCreate) toolManager.createTool(ToolManager.ToolMode.RectCreate, null);
tool.SetupAnnotProperty(
    Color.Green,
    ToolStyleConfig.Instance.GetCustomOpacity(pdfViewCtrl.Context, (int)Annot.Type.e_Square, ""),
    ToolStyleConfig.Instance.GetCustomThickness(pdfViewCtrl.Context, (int)Annot.Type.e_Square, ""),
    Color.RED,
    null, null
);
```

{% endtab %}

{% tab title="Java" %}

```java
RectCreate tool = (RectCreate) toolManager.createTool(ToolManager.ToolMode.RECT_CREATE, null);
tool.setupAnnotProperty(
    Color.GREEN,
    ToolStyleConfig.getInstance().getCustomOpacity(pdfViewCtrl.getContext(), Annot.e_Square, ""),
    ToolStyleConfig.getInstance().getCustomThickness(pdfViewCtrl.getContext(), Annot.e_Square, ""),
    Color.RED,
    null,
    null
);
```

{% endtab %}

{% tab title="Kotlin" %}

```kotlin
val tool = toolManager.createTool(ToolManager.ToolMode.RECT_CREATE, null) as RectCreate
tool.setupAnnotProperty(
  Color.GREEN,
  ToolStyleConfig.getInstance().getCustomOpacity(pdfViewCtrl.getContext(), Annot.e_Square, ""),
  ToolStyleConfig.getInstance().getCustomThickness(pdfViewCtrl.getContext(), Annot.e_Square, ""),
  Color.RED,
  null, null
)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/reusable-content/guide/guide-basics-tools-toolstyle1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
